Bug 1433623 - Review Request: python-ufolib - A low-level UFO reader and writer
Summary: Review Request: python-ufolib - A low-level UFO reader and writer
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1433626 1433744 1433745 1433760
TreeView+ depends on / blocked
 
Reported: 2017-03-18 21:31 UTC by Athos Ribeiro
Modified: 2017-04-04 16:02 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-04 16:02:55 UTC
Type: ---
zbyszek: fedora-review+


Attachments (Terms of Use)

Description Athos Ribeiro 2017-03-18 21:31:16 UTC
Spec URL: https://athoscr.fedorapeople.org/packaging/python-ufoLib.spec
SRPM URL: https://athoscr.fedorapeople.org/packaging/python-ufoLib-2.0.0-1.fc25.src.rpm

koji build: https://koji.fedoraproject.org/koji/taskinfo?taskID=18460712

Description: ufoLib reads and writes Unified Font Object (UFO) files. UFO is a file format that stores fonts source files.

Fedora Account System Username: athoscr

There are fonts being shipped in the src.rpm used for tests, I am using them in %check, but removed them from the binary packages.

Comment 1 Athos Ribeiro 2017-03-18 22:00:56 UTC
I decided to reintroduce the testdata, since they are just sources examples for running the test suite.

Spec URL: https://athoscr.fedorapeople.org/packaging/python-ufoLib.spec
SRPM URL: https://athoscr.fedorapeople.org/packaging/python-ufoLib-2.0.0-2.fc25.src.rpm

koji build: https://koji.fedoraproject.org/koji/taskinfo?taskID=18461040

Comment 2 Athos Ribeiro 2017-03-18 22:12:05 UTC
Adding a few improvements to the spec file

Spec URL: https://athoscr.fedorapeople.org/packaging/python-ufoLib.spec
SRPM URL: https://athoscr.fedorapeople.org/packaging/python-ufoLib-2.0.0-3.fc25.src.rpm

Comment 3 Zbigniew Jędrzejewski-Szmek 2017-03-19 13:22:28 UTC
"Package names should be in lower case" [https://fedoraproject.org/wiki/Packaging:Naming?rd=Packaging:NamingGuidelines#General_Naming].

You don't need %global sum, you can just put the text in the first Summary, and use %summary in subsequent ones.

- package name not OK
+ license is acceptable (BSD 3 clause)
+ license is specified correctly
+ latest version
+ modern python packaging template is used
+ %python_provide are present
+ no scriptlets necessary
+ %check is present and passes
+ BR/R/P appear correct

fedora-review reports no issues.

rpmlint:
packages and 0 specfiles checked; 0 errors, 0 warnings.

Looks good except for the lack of lowercaseness of the name ;)

Comment 4 Athos Ribeiro 2017-03-19 15:22:18 UTC
Package renamed and sum global removed

Spec URL: https://athoscr.fedorapeople.org/packaging/python-ufolib.spec
SRPM URL: https://athoscr.fedorapeople.org/packaging/python-ufolib-2.0.0-4.fc25.src.rpm

Comment 5 Zbigniew Jędrzejewski-Szmek 2017-03-19 15:34:49 UTC
Package is APPROVED.

Comment 6 Athos Ribeiro 2017-03-19 15:42:14 UTC
Thank you for the review! :)

Comment 7 Gwyn Ciesla 2017-03-20 13:15:04 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-ufolib

Comment 8 Fedora Update System 2017-03-20 14:08:26 UTC
python-ufolib-2.0.0-4.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-2e91e29206

Comment 9 Fedora Update System 2017-03-21 14:24:59 UTC
python-ufolib-2.0.0-4.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-2e91e29206

Comment 10 Fedora Update System 2017-04-04 16:02:55 UTC
python-ufolib-2.0.0-4.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.